# TextReplace
Single text replacement setting.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**old_value** | **string** | Original text. | 
**new_value** | **string** | New text. | [optional]
**regex** | **bool** | Gets or sets a value indicating whether search text is regular expression. | 
**text_state** | [**\Aspose\PDF\Model\TextState**](TextState.md) | Text properties of a new text. | [optional]
**rect** | [**\Aspose\PDF\Model\Rectangle**](Rectangle.md) | Rectangle area where searched original text. | [optional]
**center_text_horizontally** | **bool** | The text after replacement is centered horizontally relative to the text being replaced. | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md) [[View Source]](../src/Aspose/PDF/Model/TextReplace.php)

